Subject: Re: bug#53162: ’guix shell [email-masked]’ downloads [email-masked]

From: Ludovic Courtès <[email-masked]>
Date: Tue, 11 Jan 2022 14:19:00 +0100

Hi,

zimoun <[email-masked]> skribis:

> On Tue, 11 Jan 2022 at 11:18, Ludovic Courtès <[email-masked]> wrote:
>
>> Is it a problem that the latest GHC is used to build the package cache?
>> (Apart from being surprising and suboptimal.)
>
> Functionally, it appears to be not a blocking problem.  However,
> suboptimal means concretely 110+ MB of additional download; well it just
> doubles the size of the download.

Understood.

> About the surprise, if one is confident with their Guix skill, then they
> look for a bug Guix-side; if one is less confident, then they look for a
> twist in their config.  In both cases, it is a diversion – let as the
> reader’s judgment if this diversion is fun or a waste of time. :-)

Yes, but that’s not very different from installing mpv and setting
downloads of ffmpeg, rav1e, rust, and all sorts of things the user
doesn’t necessarily know about.

So to me we should first look at (1) compatibility (make sure the
package cache is valid), and (2) efficiency (avoid downloading too
much).

Ludo’.